Bug 241860 - Bad decoding of multiple Subjects
Summary: Bad decoding of multiple Subjects
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squirrelmail (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Michal Hlavinka
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 209105
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-31 07:52 UTC by Martin Bacovsky
Modified: 2010-03-05 13:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-05 13:58:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 1 Martin Bacovsky 2007-05-31 07:56:27 UTC
Tomas provided patch which was positively tested. 

Comment 2 Martin Bacovsky 2007-08-21 15:21:29 UTC
Re-proposed to 4.7

Comment 3 RHEL Product and Program Management 2008-02-01 19:07:35 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 4 Tomas 2008-03-26 04:03:12 UTC
Found some issues in that patch. encodeHeaderBase64 function was not written to
handle 7bit charsets with escape sequences. It will work correctly only with
short unfolded headers.

Comment 5 Tomas 2008-03-27 13:10:03 UTC
Sorry. false alarm. Function does not know about iso-2022 escapes, but mbstring
extension knows them and splits string correctly.

Comment 6 Michal Hlavinka 2010-03-05 13:58:09 UTC
I'm sorry for not addressing the issue in RHEL-4. As squirrelmail
is not scheduled for update in RHEL-4.9, I'm closing that bugzilla WONTFIX. If
you are still experiencing the issue with RHEL-5, feel free to reopen it
against RHEL-5.


Note You need to log in before you can comment on or make changes to this bug.